public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
From: Anton Mikanovich <amikan@ilbers.de>
To: isar-users@googlegroups.com
Cc: Anton Mikanovich <amikan@ilbers.de>
Subject: [PATCH v5 15/15] ci_build: Install Avocado if needed
Date: Thu, 29 Apr 2021 16:52:46 +0300	[thread overview]
Message-ID: <20210429135246.78792-16-amikan@ilbers.de> (raw)
In-Reply-To: <20210429135246.78792-1-amikan@ilbers.de>

To keep compatibility will the build systems without avocado-framework
preinstalled add the code to install it from debian-isar repo.

Signed-off-by: Anton Mikanovich <amikan@ilbers.de>
---
 scripts/ci_build.sh | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

diff --git a/scripts/ci_build.sh b/scripts/ci_build.sh
index d20d588..58a4446 100755
--- a/scripts/ci_build.sh
+++ b/scripts/ci_build.sh
@@ -28,6 +28,23 @@ for prog in ${DEPENDENCIES} ; do
     fi
 done
 
+# Install Avocado if needed
+if [ ! -x "$(which avocado)" ] ; then
+    set +e
+    APT_LIST="/etc/apt/sources.list.d"
+    ISAR_REPO="deb http://deb.isar-build.org/debian-isar buster-isar main"
+    ISAR_KEY="http://deb.isar-build.org/debian-isar.key"
+    sudo -s <<EOSUDO
+    mkdir -p $APT_LIST
+    echo "$ISAR_REPO" > $APT_LIST/isar.list
+    apt-key adv --fetch-keys $ISAR_KEY
+    apt update
+    yes | apt install avocado
+EOSUDO
+    echo "Installed Avocado-framework"
+    set -e
+fi
+
 show_help() {
     echo "This script builds the default Isar images."
     echo
-- 
2.25.1


      parent reply	other threads:[~2021-04-29 13:53 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-04-29 13:52 [PATCH v5 00/15] Update Avocado testsuite Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 01/15] start_vm.py: Fix target name handling Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 02/15] start_vm.py: Add output and PID file vm_start.py options Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 03/15] start_vm.py: Add MIPS support Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 04/15] start_vm.py: Fix ubuntu image name Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 05/15] vm_boot_test: Fix log file path in vm_boot_test Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 06/15] vm_boot_test: Remove external varianter Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 07/15] vm_boot_test: Improve QEMU images checking Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 08/15] build_test: Refactoring build tests cases Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 09/15] testsuite: Add Python generations for testsuite in gitignore Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 10/15] testsuite: Fix test suite prepare guide Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 11/15] gitlab-ci: Add Avocado build artifacts Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 12/15] vm_boot_test: Add automatic bitbake init Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 13/15] ci_build: Migrate to Avocado Anton Mikanovich
2021-04-29 13:52 ` [PATCH v5 14/15] vm_smoke_test: " Anton Mikanovich
2021-04-29 13:52 ` Anton Mikanovich [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20210429135246.78792-16-amikan@ilbers.de \
    --to=amikan@ilbers.de \
    --cc=isar-users@googlegroups.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox